"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
const withUnderscores = WrappedComponent => {
  var _class, _temp;

  return _temp = _class = class extends WrappedComponent {

    componentDidMount() {
      Object.keys(this).filter(a => !a.startsWith("_react") && a.startsWith("_")).forEach(key => this.props.navigation.setParams({ [key]: this[key].bind(this) }));
    }

    render() {
      return super.render();
    }
  }, _class.navigationOptions = WrappedComponent.navigationOptions, _temp;
};

exports.default = withUnderscores;